export default defineAppConfig({
  pages: [
    'pages/home/index',
    'pages/login/index',
    'pages/index3/index',
    'pages/index4/index',
    'pages/index5/index',
    'pages/reporting/index',
    'pages/reporting/detail/index',
  ],
  tabBar: {
    list: [
      {
        "pagePath": "pages/home/index",
        "text": "首页"
      },
      {
        "pagePath": "pages/reporting/index",
        "text": "公告"
      },
      {
        "pagePath": "pages/index3/index",
        "text": "发布"
      },
      {
        "pagePath": "pages/index4/index",
        "text": "测评标准"
      },
      {
        "pagePath": "pages/index5/index",
        "text": "我的"
      },
    ],
  },
  window: {
    // backgroundColor: '#1A7565',
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#1A7565',
    navigationBarTitleText: '文明创城',
    navigationBarTextStyle: 'white'
  },
  permission: {
    "scope.userLocation": {
      desc: "你的位置信息将用于定位点位" // 高速公路行驶持续后台定位
    }
  },
  requiredPrivateInfos: [
    'getLocation'
  ]
})
