import React from 'react'
import { View, Text, Image } from '@tarojs/components'
import Page from '@/layouts/index';
import { useModel } from '@/store';
import Head from './components/Head';
import BannerCard from './components/BannerCard';
import MenuCard from './components/MenuCard';
import './index.less';

export default (props) => {

  const { user } = useModel('user');

  return (
    <Page showTabBar className='index'>
      <Head user={user} />
      <BannerCard />
      <MenuCard />
    </Page>
  );
}
