import React from 'react';
import { View, Map } from '@tarojs/components';
import style from './map.module.less';

export default (props) => {
  const { location } = props;
  const loc = location ? location.split(',') : [,];
  
  return (
    <View className={style['map-box']}>
      <Map
        className={style.map}
        longitude={loc[0]}
        latitude={loc[1]}
      ></Map>
      <View className={style.address}>
        阳光丽景小区
      </View>
    </View>
  )
}
